Bug 1913554 - Recording rule for ingress error fraction SLI is incorrect, uses irate instead of increase
Summary: Recording rule for ingress error fraction SLI is incorrect, uses irate instea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: aos-network-edge-staff
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-07 05:39 UTC by Clayton Coleman
Modified: 2021-02-24 15:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:50:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1030 0 None closed Bug 1913554: Ingress recording rule for error fraction is incorrect 2021-01-15 19:15:03 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:51:08 UTC

Description Clayton Coleman 2021-01-07 05:39:16 UTC
A copy and paste error in the ingress rule for cluster:usage:workload:ingress_request_error:fraction5m and cluster:usage:openshift:ingress_request_error:fraction5m led to them being increase/irate, which yields numbers greater than 1 (which is bad for fractions).

The denominator should be increase to be consistent (instead of switching numerator to irate) in order to make the value more stable over a window.

The fraction is useless as is so needs to be fixed to track this for an SLI.

Comment 2 Arvind iyengar 2021-01-11 11:08:05 UTC
Verified in "4.7.0-0.nightly-2021-01-09-144822" which contains the merge.

Comment 5 errata-xmlrpc 2021-02-24 15:50:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.